%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api 2.36
%define major 1
%define libname %mklibname %{name} %{api} %{major}
%define libnamedev %mklibname -d %{name} %{api}

%bcond_without doc

Name:		atkmm
Summary:	C++ interface for accessibility library Atk
Version:	2.36.3
Release:	%mkrel 2
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(atk) >= 1.12
BuildRequires:	pkgconfig(glibmm-2.68)
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for accessibility library Atk
Group:		System/Libraries
Provides:	%{name}%{api} = %{version}-%{release}

%description	-n %{libname}
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	atkmm-doc < 2.36.0

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false} \
  -Dbuild-deprecated-api=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libatkmm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/atkmm-%{api}/
%{_libdir}/libatkmm-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/atkmm-%{api}/
%if %{with doc}
%doc %{_datadir}/doc/atkmm-%{api}
%doc %{_datadir}/devhelp/books/*
%endif


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.36.3-2.mga10
+ Revision: 2221175
- Mageia 10 Mass Rebuild

* Tue Jan 30 2024 daviddavid <daviddavid> 2.36.3-1.mga10
+ Revision: 2036326
- new version 2.36.3

* Wed Jul 20 2022 tv <tv> 2.36.2-1.mga9
+ Revision: 1869590
- Fix filelist
+ ovitters <ovitters>
- new version 2.36.2

* Sat Mar 19 2022 umeabot <umeabot> 2.36.1-2.mga9
+ Revision: 1799831
- Mageia 9 Mass Rebuild

* Fri May 21 2021 ovitters <ovitters> 2.36.1-1.mga9
+ Revision: 1726018
- new version 2.36.1

* Mon Mar 01 2021 wally <wally> 2.36.0-1.mga9
+ Revision: 1694848
- new version 2.36.0
- new lib api 2.36
- drop doc pkg
- switch to meson build

* Fri Apr 03 2020 wally <wally> 2.29.1-5.mga8
+ Revision: 1564198
- add upstream patch to build with glibmm-2.66

* Sun Feb 16 2020 umeabot <umeabot> 2.29.1-4.mga8
+ Revision: 1536351
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 16 2019 wally <wally> 2.29.1-3.mga8
+ Revision: 1454194
- add upstream patch to fix build with glibmm-2.64

* Mon Apr 15 2019 daviddavid <daviddavid> 2.29.1-2.mga7
+ Revision: 1390654
- add upstream patch to use glibmm-2.62 instead of glibmm-2.60
- rebuild against glibmm 2.62

* Thu Mar 14 2019 wally <wally> 2.29.1-1.mga7
+ Revision: 1376731
- new version 2.29.1
- new api 2.30

* Thu Mar 14 2019 wally <wally> 2.27.1-4.mga7
+ Revision: 1376679
- add upstream patch to use glibmm-2.60

* Fri Sep 21 2018 umeabot <umeabot> 2.27.1-3.mga7
+ Revision: 1295057
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 2.27.1-2.mga7
+ Revision: 1235583
- add upstream patches to build against glibmm-2.58

* Tue Mar 13 2018 tv <tv> 2.27.1-1.mga7
+ Revision: 1209081
- fix api_version thus filelist
+ ovitters <ovitters>
- new version 2.27.1

* Sat Aug 26 2017 ovitters <ovitters> 2.25.4-1.mga7
+ Revision: 1148188
- new version 2.25.4

* Wed Aug 23 2017 ovitters <ovitters> 2.25.3-1.mga7
+ Revision: 1143639
- api to 2.26
- new version 2.25.3
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 ovitters <ovitters> 2.24.2-1.mga6
+ Revision: 907222
- new version 2.24.2

* Thu Sep 24 2015 tv <tv> 2.24.1-1.mga6
+ Revision: 882941
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.23.3-1.mga6
+ Revision: 872568
- new version 2.23.3

* Mon Aug 24 2015 wally <wally> 2.23.2-2.mga6
+ Revision: 869045
- build with -std=gnu++11

* Wed Jul 15 2015 ovitters <ovitters> 2.23.2-1.mga6
+ Revision: 854457
- new version 2.23.2

* Tue Jun 30 2015 ovitters <ovitters> 2.23.1-1.mga6
+ Revision: 849222
- new version 2.23.1

* Wed Oct 15 2014 umeabot <umeabot> 2.22.7-4.mga5
+ Revision: 750303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.22.7-3.mga5
+ Revision: 678022
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.22.7-2.mga4
+ Revision: 523724
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 2.22.7-1.mga4
+ Revision: 426452
- New version 2.22.7

* Fri Jan 11 2013 umeabot <umeabot> 2.22.6-3.mga3
+ Revision: 346527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.22.6-2.mga3
+ Revision: 305599
- Documentation group
+ sander85 <sander85>
- Update URL

* Fri Oct 28 2011 fwang <fwang> 2.22.6-1.mga2
+ Revision: 158990
- new version 2.22.6
- do not ship .la files

* Mon Jun 13 2011 cjw <cjw> 2.22.5-4.mga2
+ Revision: 105792
- only remove libtool libraries when they are not referenced anywhere else

* Thu Jun 09 2011 dmorgan <dmorgan> 2.22.5-3.mga2
+ Revision: 102439
- Disable static
  Remove .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.22.5-1.mga1
+ Revision: 85601
- Update to 2.22.5

* Thu Jan 13 2011 ahmad <ahmad> 2.22.2-2.mga1
+ Revision: 8809
- drop old/unneeded scriptlets
- imported package atkmm


* Sat Jan 08 2011 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2011.0
+ Revision: 630597
- update to new version 2.22.2

* Sun Nov 21 2010 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2011.0
+ Revision: 599470
- update to new version 2.22.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2011.0
+ Revision: 581488
- update to new version 2.22.0

* Mon Jun 28 2010 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2011.0
+ Revision: 549300
- initial package

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2010.1
+ Revision: 541987
- update to new version 2.20.3

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2010.1
+ Revision: 535451
- update to new version 2.20.2

* Wed Apr 07 2010 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2010.1
+ Revision: 532791
- update to new version 2.20.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 529689
- new version
- bump glibmm dep

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2010.1
+ Revision: 524905
- update to new version 2.19.7

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2010.1
+ Revision: 510579
- update to new version 2.19.6

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2010.1
+ Revision: 496741
- new version
- bump gtk dep

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2010.1
+ Revision: 486186
- update to new version 2.19.2

* Sun Oct 04 2009 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2010.0
+ Revision: 453733
- new version

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2010.0
+ Revision: 446720
- new version
- update file list

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-1mdv2010.0
+ Revision: 432734
- new version
- bump gtk dep

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.17.9.3-1mdv2010.0
+ Revision: 422132
- update to new version 2.17.9.3
- update to new version 2.17.9.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.17.9-1mdv2010.0
+ Revision: 421449
- new version
- update deps
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2010.0
+ Revision: 395970
- update to new version 2.17.2

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2010.0
+ Revision: 390593
- bump gtk+ dep
- new version
- drop merged patch

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2009.1
+ Revision: 355983
- update to new version 2.16.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2009.1
+ Revision: 348121
- update to new version 2.15.5

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2009.1
+ Revision: 338044
- update to new version 2.15.3

* Sun Jan 25 2009 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2009.1
+ Revision: 333556
- update to new version 2.15.1

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2009.1
+ Revision: 324963
- new version
- bump deps
- fix format strings

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2009.1
+ Revision: 303146
- update to new version 2.14.3

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2009.1
+ Revision: 301809
- update to new version 2.14.2

* Thu Sep 25 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.0
+ Revision: 288069
- new version

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2009.0
+ Revision: 286602
- new version
- bump pangomm dep

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2009.0
+ Revision: 283475
- new version
- drop patch
- update license

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-2mdv2009.0
+ Revision: 282904
- patch for gtk api changes (fixes crash reportet as #43623)

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 274125
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 263349
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 242538
- new version
- depend on pangomm

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2009.0
+ Revision: 236587
- new version
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.13.1-2mdv2009.0
+ Revision: 231287
- new version
- bump deps
- update license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.12.7-2mdv2009.0
+ Revision: 221116
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 02 2008 Götz Waschk <waschk@mandriva.org> 2.12.7-1mdv2008.1
+ Revision: 191629
- new version

* Tue Apr 01 2008 Götz Waschk <waschk@mandriva.org> 2.12.6-1mdv2008.1
+ Revision: 191359
- new version
- new version
- update file list

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 2.12.4-2mdv2008.1
+ Revision: 158507
- rebuild for broken build system
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2008.1
+ Revision: 106900
- new version

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2008.1
+ Revision: 106016
- new version

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 96635
- new version
- bump glibmm dep

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2008.0
+ Revision: 85532
- new version
- bump deps

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 2.11.8-1mdv2008.0
+ Revision: 76898
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.7-1mdv2008.0
+ Revision: 65168
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 56519
- new version

* Sun Jul 22 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 54395
- new version
- bump deps

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 46963
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 41463
- rebuild

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 40798
- new version

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 36045
- new version
- bump deps

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.10.10-1mdv2008.0
+ Revision: 20405
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-1mdv2008.0
+ Revision: 17910
- new version

